/******************************************************************************
*
* Copyright (C) 2006-2017  Brian Berlin
* 
* This program is free software: you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation, either version 3 of the License, or
* (at your option) any later version.
* 
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
* 
* You should have received a copy of the GNU General Public License
* along with this program.  If not, see <http://www.gnu.org/licenses/>
*
******************************************************************************
*
* FILENAME: decoration.hpp
*
* DESCRIPTION:  This class will show a boxed decoration
*
* AUTHORS:  bberlin
*
* CHANGE LOG
*
*  VER     DATE     CHANGED BY   DESCRIPTION OF CHANGE
* ------  --------  ----------   ------------------------------------
* 0.5.0   12/24/06  bberlin      Creation
******************************************************************************/
#ifndef decoration_hpp
#define decoration_hpp

#include <guichan.hpp>

class Decoration : public gcn::Widget
{
    public:
        Decoration (const std::string& caption="", int type=1);
        ~Decoration();
        void setType(int type);
        void setCaption(const std::string& caption);
        void drawFrame(gcn::Graphics* graphics);
        void draw(gcn::Graphics* graphics);

        enum
        {
            DIV_TYPE_RECESSED = 0,
            DIV_TYPE_LINE,
            DIV_TYPE_RAISED
        };
    private:
        std::string mText;
        int mType;
};

#endif
