/******************************************************************************
*
* Copyright (C) 2006-2017  Brian Berlin
* 
* This program is free software: you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation, either version 3 of the License, or
* (at your option) any later version.
* 
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
* 
* You should have received a copy of the GNU General Public License
* along with this program.  If not, see <http://www.gnu.org/licenses/>
*
******************************************************************************
*
* FILENAME: guiinputbutton.hpp
*
* DESCRIPTION:  Button inherited from Radio Button and looks like a Button
*
* AUTHORS:  bberlin
*
* CHANGE LOG
*
*  VER     DATE     CHANGED BY   DESCRIPTION OF CHANGE
* ------  --------  ----------   ------------------------------------
* 0.5.0   11/28/06  bberlin      Creation
******************************************************************************/
#ifndef guiinputbutton_hpp
#define guiinputbutton_hpp

#include <guichan.hpp>

extern "C" {
    #include "../interface/input.h"
}

class GuiInputButton : public gcn::RadioButton
{

public:
    GuiInputButton ( const std::string &caption="", const std::string &group="", bool marked=false );
    void draw(gcn::Graphics *graphics);
    void drawFrame(gcn::Graphics *graphics);
    void adjustSize();
    GuiInputButton *getMarkedButton();

    t_atari_common *mCtrl;
};

#endif
