/******************************************************************************
*
* Copyright (C) 2007-2017  Brian Berlin
* 
* This program is free software: you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation, either version 3 of the License, or
* (at your option) any later version.
* 
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
* 
* You should have received a copy of the GNU General Public License
* along with this program.  If not, see <http://www.gnu.org/licenses/>
*
******************************************************************************
*
* FILENAME: guiobject.hpp
*
* DESCRIPTION:  Header to describe a class used to access GuiMain.  All our
*                 objects that need access to GuiMain should derive from here
*
* AUTHORS:  bberlin
*
* CHANGE LOG
*
*  VER     DATE     CHANGED BY   DESCRIPTION OF CHANGE
* ------  --------  ----------   ------------------------------------
* 0.6.0   12/12/07  bberlin      Creation
******************************************************************************/
#ifndef guiobject_hpp
#define guiobject_hpp

class GuiMain;

class GuiObject
{
protected:
    GuiMain *mGuiMain;

public:
    GuiObject ( GuiMain *gMain=0 ) {
        mGuiMain = gMain;
    }

    ~GuiObject ( ) {
    }

    GuiMain *getGuiMain ( void )
    {
        return mGuiMain;
    }

    void setGuiMain ( GuiMain *gMain )
    {
        mGuiMain = gMain;
    }
};

#endif
