/******************************************************************************
*
* Copyright (C) 2007-2017  Brian Berlin
* 
* This program is free software: you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation, either version 3 of the License, or
* (at your option) any later version.
* 
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
* 
* You should have received a copy of the GNU General Public License
* along with this program.  If not, see <http://www.gnu.org/licenses/>
*
******************************************************************************
*
* FILENAME: infomessage.cpp
*
* DESCRIPTION:  This class will show a message pop-up with one buttons
*
* AUTHORS:  bberlin
*
* CHANGE LOG
*
*  VER     DATE     CHANGED BY   DESCRIPTION OF CHANGE
* ------  --------  ----------   ------------------------------------
* 0.5.0   08/01/07  bberlin      Creation
* 0.7.2   04/12/17  bberlin      Made adjustments for using TextBox 
*                                instead of Label for Message
******************************************************************************/
#include "infomessage.hpp"
#include "guimain.hpp"

InfoMessage::InfoMessage ( GuiMain *gMain ) : GenericMessage(gMain)
{
    setVisible ( false );

    setCaption ( "User Message" );
    setDimension ( mGuiMain->getRectangle(10,8,60,9) );
    mMessage.setDimension ( mGuiMain->getRectangle(2,1,58,1.2) );
    mButton[0].setDimension ( mGuiMain->getRectangle(28,6,3,1) );
    mButton[0].setCaption ( "Ok" );
    mButton[0].adjustSize();

    mMessage.setVisible ( true );
    mMessage.setOpaque ( false );
    mMessage.setEditable ( false );

    mButton[0].setVisible ( true );
    mButton[1].setVisible ( false );
    mButton[2].setVisible ( false );
    mInput.setVisible ( false );
}

InfoMessage::~InfoMessage ()
{
}

void InfoMessage::show ( std::string message )
{
    int lines;

    lines = setMessage ( message );

    mButton[0].setPosition ( mGuiMain->getPosition(28,lines-3).x, mGuiMain->getPosition(40,lines-3).y );

    setVisible ( true );
    if ( getParent () )
        getParent()->moveToTop (this);
    requestModalFocus ();
}

void InfoMessage::action(const gcn::ActionEvent &actionEvent)
{
    distributeActionEvent();

    hide();

} /* end action */
