/******************************************************************************
*
* Copyright (C) 2006-2017  Brian Berlin
* 
* This program is free software: you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation, either version 3 of the License, or
* (at your option) any later version.
* 
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
* 
* You should have received a copy of the GNU General Public License
* along with this program.  If not, see <http://www.gnu.org/licenses/>
*
******************************************************************************
*
* FILENAME: joystickinput.cpp
*
* DESCRIPTION:  My own version of Guichan's Input class to handle joysticks
*
* AUTHORS:  bberlin
*
* CHANGE LOG
*
*  VER     DATE     CHANGED BY   DESCRIPTION OF CHANGE
* ------  --------  ----------   ------------------------------------
* 0.5.0   09/20/06  bberlin      Creation
******************************************************************************/
#include "joystickinput.hpp"

namespace gcn
{
    JoystickInput::JoystickInput(int device, int deviceType, int part, int type, int value, int timeStamp)
    {
        mDevice = device;
        mDeviceType = deviceType;
        mPart = part;
        mType = type;
        mValue = value;
        mTimeStamp = timeStamp;
    }

    void JoystickInput::setDevice(int device)
    {
        mDevice = device;
    }

    int JoystickInput::getDevice() const
    {
        return mDevice;
    }

    void JoystickInput::setDeviceType(int deviceType)
    {
        mDeviceType = deviceType;
    }

    int JoystickInput::getDeviceType() const
    {
        return mDeviceType;
    }

    void JoystickInput::setPart(int part)
    {
        mPart = part;
    }

    int JoystickInput::getPart() const
    {
        return mPart;
    }

    void JoystickInput::setType(int type)
    {
        mType = type;
    }

    int JoystickInput::getType() const
    {
        return mType;
    }

    void JoystickInput::setValue(int value)
    {
        mValue = value;
    }

    int JoystickInput::getValue() const
    {
        return mValue;
    }

    void JoystickInput::setX(int value)
    {
        mxValue = value;
    }

    int JoystickInput::getX() const
    {
        return mxValue;
    }

    void JoystickInput::setY(int value)
    {
        myValue = value;
    }

    int JoystickInput::getY() const
    {
        return myValue;
    }

    int JoystickInput::getTimeStamp() const
    {
        return mTimeStamp;
    }

    void JoystickInput::setTimeStamp(int timeStamp)
    {
        mTimeStamp = timeStamp;
    }
}
