/******************************************************************************
*
* Copyright (C) 2006-2017  Brian Berlin
* 
* This program is free software: you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation, either version 3 of the License, or
* (at your option) any later version.
* 
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
* 
* You should have received a copy of the GNU General Public License
* along with this program.  If not, see <http://www.gnu.org/licenses/>
*
******************************************************************************
*
* FILENAME: katmenu.hpp
*
* DESCRIPTION:  This class will create a menu bar for the gui
*
* AUTHORS:  bberlin
*
* CHANGE LOG
*
*  VER     DATE     CHANGED BY   DESCRIPTION OF CHANGE
* ------  --------  ----------   ------------------------------------
* 0.5.0   10/29/06  bberlin      Creation
******************************************************************************/
#ifndef katmenu_hpp
#define katmenu_hpp

extern "C" {
    #include "../interface/kconfig.h"
}

#include <guichan.hpp>
#include "guiobject.hpp"
#include "menubar.hpp"

class KatMenuListener : public gcn::ActionListener,
                        public GuiObject
{
public:
    void action(const gcn::ActionEvent &actionEvent);
};

class KatMenu : public MenuBar,
                public GuiObject,
                public gcn::ActionListener
{
    public:
        KatMenu( GuiMain *gMain );
        ~KatMenu();
        void checkSaveStateExistance();
        void setMachine(e_machine_type machine);
        void setRam(e_machine_type machine, int ram);
        void action(const gcn::ActionEvent &actionEvent);

    private:
        KatMenuListener mMenuListener;
};

#endif
