/******************************************************************************
*
* Copyright (C) 2006-2017  Brian Berlin
* 
* This program is free software: you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation, either version 3 of the License, or
* (at your option) any later version.
* 
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
* 
* You should have received a copy of the GNU General Public License
* along with this program.  If not, see <http://www.gnu.org/licenses/>
*
******************************************************************************
*
* FILENAME: log.cpp
*
* DESCRIPTION:  This class will show the Log
*
* AUTHORS:  bberlin
*
* CHANGE LOG
*
*  VER     DATE     CHANGED BY   DESCRIPTION OF CHANGE
* ------  --------  ----------   ------------------------------------
* 0.5.0   11/30/06  bberlin      Creation
******************************************************************************/
#include "log.hpp"
#include "guimain.hpp"

extern "C" {
    #include "../interface/logger.h"
}

Log::Log ( GuiMain *gMain ) : GuiObject(gMain)
{
    setVisible ( false );
    setCaption ( "Log" );

    /*
     * Setup all of our widgets
     */
    mLogScroller.setContent(&mLogBox);
    mOk.setCaption("Ok");

    /*
     * Create Callbacks and assign
     */
    addActionListener ( this );

    mOk.addActionListener ( this );
    mOk.setActionEventId ( "mOk" );

    /*
     * Size and place our widgets
     */
    add ( &mLogScroller );
    add ( &mOk );

    setDimension ( mGuiMain->getRectangle(2,2,74,26) );

    mLogScroller.setDimension ( mGuiMain->getRectangle(1,1,72,21) );
    mLogBox.setDimension ( mGuiMain->getRectangle(0,0,72,21) );
    mOk.setDimension ( mGuiMain->getRectangle(34,22.8,3,1) );

    mOk.adjustSize();
}

Log::~Log ()
{

}

void Log::show ( )
{
    char *g_messages = 0;

    mLogBox.setText ( g_messages = logger_get_buffer () );

    setVisible ( true );
    if ( getParent () )
        getParent()->moveToTop (this);
}

void Log::hide ( )
{
    setVisible ( false );
    if ( getParent () )
        getParent()->moveToBottom (this);
}

void Log::action(const gcn::ActionEvent &actionEvent)
{
    if ( actionEvent.getId() == "mOk" ) {
        hide();
    }
}
