/******************************************************************************
*
* Copyright (C) 2006-2017  Brian Berlin
* 
* This program is free software: you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation, either version 3 of the License, or
* (at your option) any later version.
* 
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
* 
* You should have received a copy of the GNU General Public License
* along with this program.  If not, see <http://www.gnu.org/licenses/>
*
******************************************************************************
*
* FILENAME: log.hpp
*
* DESCRIPTION:  This class will show the Log
*
* AUTHORS:  bberlin
*
* CHANGE LOG
*
*  VER     DATE     CHANGED BY   DESCRIPTION OF CHANGE
* ------  --------  ----------   ------------------------------------
* 0.5.0   11/30/06  bberlin      Creation
******************************************************************************/
#ifndef log_hpp
#define log_hpp

#include <guichan.hpp>
#include "guiobject.hpp"
#include "window.hpp"

class Log : public gcn::GuiWindow,
            public GuiObject,
            public gcn::ActionListener
{
    public:
        Log( GuiMain *gMain );
        ~Log();

        void show (); 
        void hide ();

        void action(const gcn::ActionEvent &actionEvent);

    private:
        gcn::ScrollArea mLogScroller;
        gcn::TextBox mLogBox;

        gcn::Button mOk;
};

#endif
