/******************************************************************************
*
* Copyright (C) 2008-2017  Brian Berlin
* 
* This program is free software: you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation, either version 3 of the License, or
* (at your option) any later version.
* 
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
* 
* You should have received a copy of the GNU General Public License
* along with this program.  If not, see <http://www.gnu.org/licenses/>
*
******************************************************************************
*
* FILENAME: mediacfg.hpp
*
* DESCRIPTION:  This class will show the MediaCfg adjustment
*
* AUTHORS:  bberlin
*
* CHANGE LOG
*
*  VER     DATE     CHANGED BY   DESCRIPTION OF CHANGE
* ------  --------  ----------   ------------------------------------
* 0.6.0   01/12/08  bberlin      Creation
******************************************************************************/
#ifndef mediacfg_hpp
#define mediacfg_hpp

#include <guichan.hpp>
#include "guiobject.hpp"
#include "window.hpp"
#include "guiinputbutton.hpp"
#include "genericlist.hpp"

class MediaCfg : public gcn::GuiWindow,
                 public GuiObject,
                 public gcn::ActionListener
{
    public:
        MediaCfg( GuiMain *gMain );
        ~MediaCfg();

        void show (); 
        void hide ();

        void setMachine ( );
        void action(const gcn::ActionEvent &actionEvent);

    private:
        gcn::Label mCartLabel;
        gcn::TextField mCartFile;
        gcn::Button mCartBrowse;
        gcn::Button mCartClear;

        gcn::Label mCasLabel;
        gcn::TextField mCasFile;
        gcn::Button mCasBrowse;
        gcn::Button mCasClear;

        gcn::Label mDiskLabel[8];
        gcn::TextField mDiskFile[8];
        gcn::Button mDiskBrowse[8];
        gcn::Button mDiskClear[8];

        GuiInputButton mRecord;
        GuiInputButton mPlay;
        gcn::Button mRewind;
        gcn::Button mFastFoward;
        gcn::Button mStop;

        gcn::Button mOk;
        gcn::Button mCancel;

        bool mSettingsDirty;
};

#endif
