/******************************************************************************
*
* Copyright (C) 2006-2017  Brian Berlin
* 
* This program is free software: you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation, either version 3 of the License, or
* (at your option) any later version.
* 
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
* 
* You should have received a copy of the GNU General Public License
* along with this program.  If not, see <http://www.gnu.org/licenses/>
*
******************************************************************************
*
* FILENAME: menutop.hpp
*
* DESCRIPTION:  Header to describe class used with the Menu Bar
*
* AUTHORS:  bberlin
*
* CHANGE LOG
*
*  VER     DATE     CHANGED BY   DESCRIPTION OF CHANGE
* ------  --------  ----------   ------------------------------------
* 0.6.0   12/20/06  bberlin      Creation, redo from 0.5.0
******************************************************************************/
#ifndef menutop_hpp
#define menutop_hpp

#include <guichan.hpp>
#include "menuitem.hpp"

class MenuBar;

class MenuTop : public gcn::Button
{
public:
    MenuTop (MenuBar *menu_bar, std::string Id, std::string Title="", gcn::ActionListener *actionListener=0);
    ~MenuTop ();

    void draw(gcn::Graphics *graphics);
    void drawFrame(gcn::Graphics *graphics);
    void mousePressed(gcn::MouseEvent& mouseEvent);

    int addMenuItem ( std::string Top, std::string Id, std::string Title="", 
                      gcn::ActionListener *actionListener=0 );
    void setItemChecked ( std::string Id, bool checked );
    void setItemDimmed ( std::string Id, bool dimmed );
    void setItemCaption ( std::string item_id, std::string caption );
    void setContainer ( gcn::Container *mTop );
    void setMenuX ( int x );
    void setMenuY ( int y );
    bool isDown(void);
    void setDown(bool down);

private:
    bool mDown;
    MenuBar *mMenuBar;
    MenuItem *mMenuTopItem;
};

#endif
