/******************************************************************************
*
* Copyright (C) 2007-2017  Brian Berlin
* 
* This program is free software: you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation, either version 3 of the License, or
* (at your option) any later version.
* 
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
* 
* You should have received a copy of the GNU General Public License
* along with this program.  If not, see <http://www.gnu.org/licenses/>
*
******************************************************************************
*
* FILENAME: romlaunchermenu.hpp
*
* DESCRIPTION:  This class will create a menu bar for the launcher window
*
* AUTHORS:  bberlin
*
* CHANGE LOG
*
*  VER     DATE     CHANGED BY   DESCRIPTION OF CHANGE
* ------  --------  ----------   ------------------------------------
* 0.5.0   07/31/07  bberlin      Creation
******************************************************************************/
#ifndef romlaunchermenu_hpp
#define romlaunchermenu_hpp

#include <guichan.hpp>
#include "menubar.hpp"
#include "guiobject.hpp"

class RomLauncher;
class RomLauncherMenu : public MenuBar,
                        public GuiObject,
                        public gcn::ActionListener
{
    public:
        RomLauncherMenu( RomLauncher *launcher=0 );
        ~RomLauncherMenu();
        void setGroupChecked ( std::string id );
        void setLauncher ( RomLauncher *launcher );
        void action(const gcn::ActionEvent &actionEvent);

    private:
        RomLauncher *romLauncher;
};

#endif
