/******************************************************************************
*
* Copyright (C) 2008-2017  Brian Berlin
* 
* This program is free software: you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation, either version 3 of the License, or
* (at your option) any later version.
* 
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
* 
* You should have received a copy of the GNU General Public License
* along with this program.  If not, see <http://www.gnu.org/licenses/>
*
******************************************************************************
*
* FILENAME: romlauncheroptions.hpp
*
* DESCRIPTION:  This class will show the configuration romlauncheroptions
*
* AUTHORS:  bberlin
*
* CHANGE LOG
*
*  VER     DATE     CHANGED BY   DESCRIPTION OF CHANGE
* ------  --------  ----------   ------------------------------------
* 0.6.0   01/12/08  bberlin      Creation
******************************************************************************/
#ifndef romlauncheroptions_hpp
#define romlauncheroptions_hpp

#include <guichan.hpp>
#include "genericlist.hpp"
#include "window.hpp"
#include "inputautolistener.hpp"
#include "decoration.hpp"
#include "guiobject.hpp"

class RomLauncherOptions : public gcn::GuiWindow,
               public GuiObject,
               public gcn::ActionListener
{
    public:
        RomLauncherOptions( GuiMain *gMain );
        ~RomLauncherOptions();

        void show (); 
        void hide ();

        void action(const gcn::ActionEvent &actionEvent);

    private:
        Decoration mMachineDec;
        GenericList mMachineList;
        gcn::DropDown mMachine;

        Decoration mTabbedDec;
        GenericList mTabbedList;
        gcn::DropDown mTabbed;

        gcn::Button mOk;
        gcn::Button mCancel;

        bool mSettingsDirty;
};

#endif
