/******************************************************************************
*
* Copyright (C) 2017  Brian Berlin
* 
* This program is free software: you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation, either version 3 of the License, or
* (at your option) any later version.
* 
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
* 
* You should have received a copy of the GNU General Public License
* along with this program.  If not, see <http://www.gnu.org/licenses/>
*
******************************************************************************
*
* FILENAME: shadercompile.hpp
*
* DESCRIPTION:  This class shows shader compile process
*
* AUTHORS:  bberlin
*
* CHANGE LOG
*
*  VER     DATE     CHANGED BY   DESCRIPTION OF CHANGE
* ------  --------  ----------   ------------------------------------
* 0.8.0   09/11/17  bberlin      Creation
******************************************************************************/
#ifndef shadercompile_hpp
#define shadercompile_hpp

#include <guichan.hpp>
#include "../guichan_sdl/sdl.hpp"
#include "katgui.hpp"
#include "sdlguiinput.hpp"
#include "decoration.hpp"
#include "filebrowser.hpp"
#include "genericmessage.hpp"
#include "infomessage.hpp"
#include "log.hpp"
#include "window.hpp"

struct shadermessage {
    int message;
    void *data;
};

class ShaderCompile : public gcn::KeyListener,
                public gcn::JoystickListener
    {
    public:
        ShaderCompile();
        ~ShaderCompile();
        gcn::Rectangle getRectangle ( double x, double y, double w, double h );
        gcn::Rectangle getPosition ( double x, double y );
        void showError( int error );
        void updateProgressMsg ( char *msg );
        void exit();
        void run();
        void performUIAction ( int ui_key );

    private:
        bool mIgnoreUIKeys;
        bool mRunning;

        SDL_Window* mScreen;
        SDL_Renderer* mRenderer;
        gcn::SDLGraphics* mGraphics;
        //gcn::SDLInput* mInput;
        gcn::SDLGuiInput* mInput;
        gcn::SDLImageLoader* mImageLoader;
        //gcn::Gui* mGui;
        gcn::KatGui* mGui;

        gcn::Container *mTop;

        Decoration mCompileDec;
        gcn::Label mCompileTitle;

        gcn::ImageFont *mFont;
    };

#endif
