/******************************************************************************
*
* Copyright (C) 2017  Brian Berlin
* 
* This program is free software: you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation, either version 3 of the License, or
* (at your option) any later version.
* 
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
* 
* You should have received a copy of the GNU General Public License
* along with this program.  If not, see <http://www.gnu.org/licenses/>
*
******************************************************************************
*
* FILENAME: textfocuslistener.hpp
*
* DESCRIPTION:  Contains functions for when editable text regions receive 
*               focus.  For Android, this results in keyboard shown and hid
*
* AUTHORS:  bberlin
*
* CHANGE LOG
*
*  VER     DATE     CHANGED BY   DESCRIPTION OF CHANGE
* ------  --------  ----------   ------------------------------------
* 0.8.1   12/31/17  bberlin      Creation
******************************************************************************/
#ifndef textfocuslistener_hpp
#define textfocuslistener_hpp

#ifdef __APPLE__
#include "SDL2/SDL.h"
#else
#include "SDL.h"
#endif

#include <guichan.hpp>

class TextFocusListener : public gcn::FocusListener
{

public:

    TextFocusListener ( );
    ~TextFocusListener ( );

    void focusGained (const gcn::Event& event);
    void focusLost(const gcn::Event& event);
};

#endif
