/******************************************************************************
*
* Copyright (C) 2006-2017  Brian Berlin
* 
* This program is free software: you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation, either version 3 of the License, or
* (at your option) any later version.
* 
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
* 
* You should have received a copy of the GNU General Public License
* along with this program.  If not, see <http://www.gnu.org/licenses/>
*
******************************************************************************
*
* FILENAME: throttle.hpp
*
* DESCRIPTION:  This class will show the Throttle adjustment
*
* AUTHORS:  bberlin
*
* CHANGE LOG
*
*  VER     DATE     CHANGED BY   DESCRIPTION OF CHANGE
* ------  --------  ----------   ------------------------------------
* 0.5.0   12/21/06  bberlin      Creation
******************************************************************************/
#ifndef throttle_hpp
#define throttle_hpp

#include <guichan.hpp>
#include "guiobject.hpp"
#include "window.hpp"

class Throttle : public gcn::GuiWindow,
                 public GuiObject,
                 public gcn::ActionListener
{
    public:
        Throttle( GuiMain *gMain );
        ~Throttle();

        void show (); 
        void hide ();

        void action(const gcn::ActionEvent &actionEvent);

    private:
        gcn::Slider mThrottleSlider;
        gcn::Label mThrottleValue;
        gcn::CheckBox mMaxSpeed;

        gcn::Button mOk;
        gcn::Button mCancel;

        bool mSettingsDirty;
};

#endif
