/******************************************************************************
*
* Copyright (C) 2007-2017  Brian Berlin
* 
* This program is free software: you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation, either version 3 of the License, or
* (at your option) any later version.
* 
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
* 
* You should have received a copy of the GNU General Public License
* along with this program.  If not, see <http://www.gnu.org/licenses/>
*
******************************************************************************
*
* FILENAME: db_if.h
*
* DESCRIPTION:  This contains function declartions for database functions
*
* AUTHORS:  bberlin
*
* CHANGE LOG
*
*  VER     DATE     CHANGED BY   DESCRIPTION OF CHANGE
* ------  --------  ----------   ------------------------------------
* 0.6.0   11/16/07  bberlin      Creation
******************************************************************************/
#ifndef db_if_h
#define db_if_h

#include "kconfig.h"

int db_if_init ( void );
int db_if_open ( char *file );
int db_if_close ( void );
int db_if_check_version ( void );
char * db_if_get_file ( void );
int db_if_process_file ( const char *file );
int db_if_exec_sql ( const char *statement, int (*callback)(void*,int,char**,char**), void *data );
int db_if_exec_single_blob ( char *statement, void *blob, int length );
int db_if_query_single_blob ( char *statement, void *blob, int length );
int db_if_exec_single_blob ( char *statement, void *blob, int length );
int db_if_id_callback ( void *id, int argc, char **argv, char **azColName );
int db_if_insert_or_update ( char *check_sql, char *values, char *table, 
                               int *result );
int db_if_get_profile_names ( const char *sql, struct generic_node **nodeptr );
#endif
