/******************************************************************************
*
* Copyright (C) 2007-2017  Brian Berlin
* 
* This program is free software: you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation, either version 3 of the License, or
* (at your option) any later version.
* 
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
* 
* You should have received a copy of the GNU General Public License
* along with this program.  If not, see <http://www.gnu.org/licenses/>
*
******************************************************************************
*
* FILENAME: logger.h
*
* DESCRIPTION:  This contains function declarations for logging functions
*
* AUTHORS:  bberlin
*
* CHANGE LOG
*
*  VER     DATE     CHANGED BY   DESCRIPTION OF CHANGE
* ------  --------  ----------   ------------------------------------
* 0.5.0   01/10/07  bberlin      Creation
******************************************************************************/
#ifndef logger_h
#define logger_h

typedef enum {
    LOG_INFO,
    LOG_ERROR,
} e_logger_type;

int logger_init ( void );
void logger_exit ( void );
void logger_log_message ( e_logger_type type, char *msg, const char *source );
char * logger_get_buffer ( void );

#endif
