/******************************************************************************
*
* Copyright (C) 2006-2017  Brian Berlin
* 
* This program is free software: you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation, either version 3 of the License, or
* (at your option) any later version.
* 
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
* 
* You should have received a copy of the GNU General Public License
* along with this program.  If not, see <http://www.gnu.org/licenses/>
*
******************************************************************************
*
* FILENAME: palette.h
*
* DESCRIPTION:  This contains function and struct declarations for color 
*               palette functions
*
* AUTHORS:  bberlin
*
* CHANGE LOG
*
*  VER     DATE     CHANGED BY   DESCRIPTION OF CHANGE
* ------  --------  ----------   ------------------------------------
* 0.2     01/06/06  bberlin      Creation
******************************************************************************/
#ifndef palette_h
#define palette_h

int save_palette ( char *name, int *pal );
int recall_palette ( const char *name, int *pal );
void make_default_palette (int *pal);
int convert_palette ( char *old_file, char *new_name );
int convert_kat_palette ( char *old_name, char *new_file );
int make_hi_res_artifacts ( int hue, int lum0, int lum1, int *art0, int *art1 );

#endif
