/******************************************************************************
*
* Copyright (C) 2005-2017  Brian Berlin
* 
* This program is free software: you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation, either version 3 of the License, or
* (at your option) any later version.
* 
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
* 
* You should have received a copy of the GNU General Public License
* along with this program.  If not, see <http://www.gnu.org/licenses/>
*
******************************************************************************
*
* FILENAME: states.h
*
* DESCRIPTION:  This contains function and struct declarations for save state 
*               functions
*
* AUTHORS:  bberlin
*
* CHANGE LOG
*
*  VER     DATE     CHANGED BY   DESCRIPTION OF CHANGE
* ------  --------  ----------   ------------------------------------
* 0.2     12/10/05  bberlin      Creation
******************************************************************************/
#ifndef states_h
#define states_h

#include "../core/console.h"

int save_state ( const char *name, struct atari *atari );
int recall_state ( const char *name, struct atari *atari );
int save_quick_state ( int slot, struct atari *atari );
int recall_quick_state ( int slot, struct atari *atari );
int states_get_qs_existance ( int *exists );

#endif
